Skip to main content
GET
/
submission
/
{displayId}
Get Submission Status
curl --request GET \
  --url https://app.coverwhale.com/api/v1/submission/{displayId} \
  --header 'Accept: <accept>' \
  --header 'AccessToken: <api-key>' \
  --header 'Content-Type: <content-type>'
{
  "insuredInformation": {
    "legal_name": "Alexander & Alexander, Inc.",
    "mailing_address": "",
    "mailing_city": null,
    "mailing_state": "CA",
    "mailing_zip": null
  },
  "submissionStatus": {
    "submission_number": "2261310",
    "status": "Request to Bind"
  },
  "coverages": {
    "al": {
      "limit": 1000000,
      "premium": "17300.00",
      "deductible": null,
      "policy_number": null,
      "policy_effective_date": "2022-12-15",
      "policy_expiration_date": "2023-12-15",
      "carrier": "Everspan Indemnity Insurance Company",
      "carrier_naic": 0
    },
    "apd": {
      "limit": 50000,
      "premium": "2500.00",
      "deductible": 1000,
      "policy_number": null,
      "policy_effective_date": "2022-12-15",
      "policy_expiration_date": "2023-12-15",
      "carrier": "Everspan Indemnity Insurance Company",
      "carrier_naic": 0
    },
    "mtc": {
      "limit": 100000,
      "premium": "5000.00",
      "deductible": 100,
      "policy_number": null,
      "policy_effective_date": "2022-12-15",
      "policy_expiration_date": "2023-12-15",
      "carrier": "Canopius US Insurance",
      "carrier_naic": 0
    }
  },
  "vehicles": [
    {
      "equipment_type": "Vehicle",
      "vin": "21S45D1S45",
      "make": "VOLVO TRUCK",
      "year": 2017,
      "model": "VNL",
      "value": 50000,
      "body_type": "box_truck",
      "deductible": 1000,
      "loss_payee": null
    }
  ],
  "broker": {
    "first_name": "firstname_1041",
    "last_name": "lastname_1041",
    "agency_name": "M.J. Hall and Company",
    "address": "user_1041@example.com",
    "phone": "8183371513"
  },
  "retailAgent": []
}

Authorizations

AccessToken
string
header
required

AWS Cognito access token obtained from the /authentication endpoint. Token expires after 3600 seconds.

Headers

Content-Type
string
required
Accept
string
required
AccessToken
string
required

Path Parameters

displayId
string
required

Submission display ID

Response

quote success

insuredInformation
object[]

Return the insured information

submissionStatus
object[]

Return the submission status

coverages
object[]

Return the coverages and the policy values and information

vehicles
object[]

Return the vehicles and trailers of the submission

broker
object[]

Return the broker information